## ros-one-octomap-ros 0.4.1-3jammy.20251023.0906

=== debian/changelog ===
ros-one-octomap-ros (0.4.1-3jammy.20251023.0906) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 23 Oct 2025 09:06:04 +0000

ros-one-octomap-ros (0.4.1-0jammy) jammy; urgency=high

  * Added archive destination for static libraries (#10 <https://github.com/OctoMap/octomap_ros/issues/10>)
  * Fix catkin_lint issues and cmake policy CMP0038 (#9 <https://github.com/OctoMap/octomap_ros/issues/9>)
  * Update maintainer emails
  * Contributors: Andrea Ponza, Armin Hornung, Sebastian Kasperski, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-octomap-ros (0.4.0-0jammy) jammy; urgency=high

  * Dropped PCL support in favor of sensor_msgs::PointCloud2.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-one-octomap-ros (0.3.1-0jammy) jammy; urgency=high

  * Fixing #3 <https://github.com/OctoMap/octomap_ros/issues/3> (explicit instantiation in conversions.cpp)

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 16 Apr 2014 00:00:00 -0000

ros-one-octomap-ros (0.3.0-0jammy) jammy; urgency=high

  * Removed deprecated OctomapROS class

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 03 May 2013 00:00:00 -0000

ros-one-octomap-ros (0.2.6-0jammy) jammy; urgency=high

  * fixes for cmake / catkin

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 05 Jan 2013 00:00:00 -0000

ros-one-octomap-ros (0.2.5-0jammy) jammy; urgency=high

  * catkin fixes

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 08 Dec 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.4-0jammy) jammy; urgency=high

  * adding include installs
  * catkin fixes
  * fixing octomap_msgs dependency

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 11 Nov 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.3-0jammy) jammy; urgency=high

  * catkinizing octomap_ros

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 29 Oct 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.2-0jammy) jammy; urgency=high

  * catkinizing octomap_ros

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 01 Oct 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.1-0jammy) jammy; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 04 Sep 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.0-0jammy) jammy; urgency=high

  * Further renaming, improved compat. with groovy (server won't compile yet though)
  * Updated octomap_ros to new-style stack.xml
  * manifest / doxygen for octomap_ros & octomap_msgs
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Aug 2012 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-octomap-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-octomap-ros 0.4.1-3jammy.20251207.2200

=== debian/changelog ===
ros-one-octomap-ros (0.4.1-3jammy.20251207.2200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 07 Dec 2025 22:00:08 +0000

## ros-one-octomap-ros 0.4.1-3jammy.20260221.0156

=== debian/changelog ===
ros-one-octomap-ros (0.4.1-3jammy.20260221.0156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 21 Feb 2026 01:56:43 +0000

## ros-one-octomap-ros 0.4.1-3noble.20251023.0916

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(octomap_ros)

find_package(catkin REQUIRED COMPONENTS octomap_msgs sensor_msgs tf)
find_package(OCTOMAP REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS octomap_msgs sensor_msgs tf
  DEPENDS OCTOMAP)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/conversions.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OCTOMAP_LIBRARIES})
target_include_directories(${PROJECT_NAME}
  SYSTEM PUBLIC ${catkin_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS}
  PUBLIC include)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/${PROJECT_NAME}/
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-one-octomap-ros (0.4.1-3noble.20251023.0916) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 23 Oct 2025 09:16:31 +0000

ros-one-octomap-ros (0.4.1-0noble) noble; urgency=high

  * Added archive destination for static libraries (#10 <https://github.com/OctoMap/octomap_ros/issues/10>)
  * Fix catkin_lint issues and cmake policy CMP0038 (#9 <https://github.com/OctoMap/octomap_ros/issues/9>)
  * Update maintainer emails
  * Contributors: Andrea Ponza, Armin Hornung, Sebastian Kasperski, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-octomap-ros (0.4.0-0noble) noble; urgency=high

  * Dropped PCL support in favor of sensor_msgs::PointCloud2.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-one-octomap-ros (0.3.1-0noble) noble; urgency=high

  * Fixing #3 <https://github.com/OctoMap/octomap_ros/issues/3> (explicit instantiation in conversions.cpp)

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 16 Apr 2014 00:00:00 -0000

ros-one-octomap-ros (0.3.0-0noble) noble; urgency=high

  * Removed deprecated OctomapROS class

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 03 May 2013 00:00:00 -0000

ros-one-octomap-ros (0.2.6-0noble) noble; urgency=high

  * fixes for cmake / catkin

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 05 Jan 2013 00:00:00 -0000

ros-one-octomap-ros (0.2.5-0noble) noble; urgency=high

  * catkin fixes

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 08 Dec 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.4-0noble) noble; urgency=high

  * adding include installs
  * catkin fixes
  * fixing octomap_msgs dependency

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 11 Nov 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.3-0noble) noble; urgency=high

  * catkinizing octomap_ros

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 29 Oct 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.2-0noble) noble; urgency=high

  * catkinizing octomap_ros

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 01 Oct 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.1-0noble) noble; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 04 Sep 2012 00:00:00 -0000

ros-one-octomap-ros (0.2.0-0noble) noble; urgency=high

  * Further renaming, improved compat. with groovy (server won't compile yet though)
  * Updated octomap_ros to new-style stack.xml
  * manifest / doxygen for octomap_ros & octomap_msgs
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Aug 2012 00:00:00 -0000

=== debian/control ===
Source: ros-one-octomap-ros
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), liboctomap-dev, ros-one-catkin, ros-one-octomap-msgs, ros-one-sensor-msgs, ros-one-tf
Homepage: http://ros.org/wiki/octomap_ros
Standards-Version: 3.9.2

Package: ros-one-octomap-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liboctomap-dev, ros-one-octomap-msgs, ros-one-sensor-msgs, ros-one-tf
Description: octomap_ros provides conversion functions between ROS and OctoMap's native types.
 This enables a convenvient use of the octomap package in ROS.

## ros-one-octomap-ros 0.4.1-3noble.20251208.0858

=== debian/changelog ===
ros-one-octomap-ros (0.4.1-3noble.20251208.0858) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 08 Dec 2025 08:58:09 +0000

## ros-one-octomap-ros 0.4.1-3noble.20260221.2127

=== debian/changelog ===
ros-one-octomap-ros (0.4.1-3noble.20260221.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 21 Feb 2026 21:27:35 +0000
